#!/bin/bash
#
# Ohm3.sh: Cálculo de Voltaje, Corriente y Resistencia (Ley de Ohm)
# Versión 3, Yurfader21

clear
salir=n
while [ "$salir" != "s" ];
do

echo
echo "Esta es una calculadora para la Ley de Ohm"
echo
echo "Ingrese (a) si quiere calcular el Voltaje"
echo "Ingrese (b) si quiere calcular el Corriente"
echo "Ingrese (c) si quiere calcular la Resistencia"
echo "Ingrese (s) para salir"
echo
printf "Ingrese su elección: a, b, c ó s: "
read Seleccion

	case "$Seleccion" in

	a)
	clear 
	printf "Ingrese la Corriente (Amperes): "
	read Corriente
	printf "Ingrese la Resistencia (Ohms): "
	read Resistencia
	
		if [ $Corriente -eq $Corriente 2> /dev/null ] && [ $Resistencia -eq $Resistencia 2> /dev/null ] && [ -n "$Corriente" ] && [ -n "$Resistencia" ]; then
		echo
		printf "El Voltaje es: "$(echo "scale=3;$Corriente*$Resistencia" | bc)" Voltios\n"
		else
		echo
		printf "Por favor ingrese valores numéricos para Corriente y Resistencia"
		echo
		fi	
	;;

	b) 
	clear
	printf "Ingrese el Voltaje (Voltios): "
	read Voltaje
	printf "Ingrese la Resistencia (Ohms): "
	read Resistencia

		if [ $Voltaje -eq $Voltaje 2> /dev/null ] && [ $Resistencia -eq $Resistencia 2> /dev/null ] && [ -n "$Voltaje" ] && [ -n "$Resistencia" ]; then
		echo
		printf "La Corriente es: "$(echo "scale=3;$Voltaje/$Resistencia" | bc)" Amperes\n"
		else
		echo
		printf "Por favor ingrese valores numéricos para Voltaje y Resistencia"
		echo
		fi	
	;;

	c)
	clear
	printf "Ingrese el Voltaje (Voltios): "
	read Voltaje
	printf "Ingrese la Corriente (Amperes): "
	read Corriente

		if [ $Voltaje -eq $Voltaje 2> /dev/null ] && [ $Corriente -eq $Corriente 2> /dev/null ] && [ -n "$Voltaje" ] && [ -n "$Corriente" ]; then
		echo
		printf "La Resistencia es: "$(echo "scale=3;$Voltaje/$Corriente" | bc)" Ohms\n"
		else
		echo
		printf "Por favor ingrese valores numéricos para Voltaje y Resistencia"
		echo
		fi	
	;;

	s) salir=s;;

	*) clear
	   echo "Por favor seleccione a, b ó c";;

	esac

done

exit 0
